org.wildfly.swarm.config.security.security_domain

## Class ClassicAudit<T extends ClassicAudit<T>>

- java.lang.Object
- - org.wildfly.swarm.config.security.security_domain.ClassicAudit<T>

-     public class ClassicAudit<T extends ClassicAudit<T>>
      extends Object

  Auditing configuration. Configures a list of provider modules to be used.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ClassicAudit.ClassicAuditResources` Child mutators for ClassicAudit

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassicAudit()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `T` | `providerModule(ProviderModule value)` Add the ProviderModule object to the list of subresources
    `T` | `providerModule(ProviderModuleSupplier supplier)` Install a supplied ProviderModule object to the list of subresources
    `T` | `providerModule(String childKey)` Create and configure a ProviderModule object to the list of subresources
    `T` | `providerModule(String childKey, ProviderModuleConsumer consumer)` Create and configure a ProviderModule object to the list of subresources
    `T` | `providerModules(List<ProviderModule> value)` Add all ProviderModule objects to this subresource
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `ClassicAudit.ClassicAuditResources` | `subresources()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassicAudit

          public ClassicAudit()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public ClassicAudit.ClassicAuditResources subresources()

    - #### providerModules

          public T providerModules(List<ProviderModule> value)

      Add all ProviderModule objects to this subresource
      Parameters:
        `value` - List of ProviderModule objects.
      Returns:
        this

    - #### providerModule

          public T providerModule(ProviderModule value)

      Add the ProviderModule object to the list of subresources
      Parameters:
        `value` - The ProviderModule to add
      Returns:
        this

    - #### providerModule

          public T providerModule(String childKey,
                                  ProviderModuleConsumer consumer)

      Create and configure a ProviderModule object to the list of subresources
      Parameters:
        `key` - The key for the ProviderModule resource
        `config` - The ProviderModuleConsumer to use
      Returns:
        this

    - #### providerModule

          public T providerModule(String childKey)

      Create and configure a ProviderModule object to the list of subresources
      Parameters:
        `key` - The key for the ProviderModule resource
      Returns:
        this

    - #### providerModule

          public T providerModule(ProviderModuleSupplier supplier)

      Install a supplied ProviderModule object to the list of subresources

Copyright © 2017 JBoss by Red Hat. All rights reserved.